package com.fjhx.wms.controller.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.dto.StockCheckRegisterDto;
import com.fjhx.wms.entity.stock.dto.StockCheckRegisterSelectDto;
import com.fjhx.wms.entity.stock.vo.StockCheckRegisterVo;
import com.fjhx.wms.service.stock.StockCheckRegisterService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 库存盘点登记 前端控制器
 * </p>
 *
 * @author 
 * @since 2024-03-26
 */
@RestController
@RequestMapping("/stockCheckRegister")
public class StockCheckRegisterController {

    @Autowired
    private StockCheckRegisterService stockCheckRegisterService;

    /**
     * 库存盘点登记列表
     */
    @PostMapping("/list")
    public List<StockCheckRegisterVo> list(@RequestBody StockCheckRegisterSelectDto dto) {
        return stockCheckRegisterService.getList(dto);
    }

    /**
     * 库存盘点登记分页
     */
    @PostMapping("/page")
    public Page<StockCheckRegisterVo> page(@RequestBody StockCheckRegisterSelectDto dto) {
        return stockCheckRegisterService.getPage(dto);
    }

    /**
     * 库存盘点登记明细
     */
    @PostMapping("/detail")
    public StockCheckRegisterVo detail(@RequestBody BaseSelectDto dto) {
        return stockCheckRegisterService.detail(dto.getId());
    }

    /**
     * 库存盘点登记新增
     */
    @PostMapping("/add")
    public void add(@RequestBody StockCheckRegisterDto stockCheckRegisterDto) {
        stockCheckRegisterService.add(stockCheckRegisterDto);
    }

    /**
     * 库存盘点登记编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody StockCheckRegisterDto stockCheckRegisterDto) {
        stockCheckRegisterService.edit(stockCheckRegisterDto);
    }

    /**
     * 库存盘点登记删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        stockCheckRegisterService.delete(dto.getId());
    }

}
